<?php

require_once("../comun/conex_ver.php");

require_once("../comun/actions.php");

require_once("../comun/funciones.php");

$action = new actions();

function valorate($valor){
	$valor = trim(str_replace("'","\'",strtoupper($valor)));
	return $valor;
}

$referencia= valorate($_GET['referencia']);
$referencia_cliente= valorate($_GET['referencia_cliente']);

$pedimento=$_POST['pedimento'];
$vigencia_factura=valorate($_POST['vigencia_factura']);
$eir = valorate($_POST['eir']);
$cambio_buque = valorate($_POST['cambio_buque']);
$paquete_traslado = valorate($_POST['paquete_traslado']);
$cambio_peso= valorate($_GET['cambio_peso']);
$tarifa_oficial=$_POST['tarifa_oficial'];
$cambio_puerto=valorate($_POST['cambio_puerto']);
$cargadura_ferrocarril = valorate($_POST['cargadura_ferrocarril']);
$recargo_cierre_buque = valorate($_POST['recargo_cierre_buque']);
		
$link=con_ver();
if($referencia==''){
	$referencia = busquedaB($link,"select referencia from referencias_veracruz where referencia_cliente = '$referencia_cliente'","referencia");
}

$id = busquedaB($link,"select id from liberacion where referencia_veracruz='$referencia' and referencia_cliente='$referencia_cliente'","id");

if($id==''){
		mysqli_query($link,"insert into liberacion (`referencia_veracruz`, `referencia_cliente`, `pedimento_no`, `vigencia_factura`, `eir`, 
		`cambio_buque`, `paquete_traslado`, `cambio_peso`, `tarifa_oficial`, `cambio_puerto`, `cargadura_ferrocarril`, `recargo_cierre_buque`) 
		values ('$referencia','$referencia_cliente','$pedimento','$vigencia_factura','$eir','$cambio_buque','$paquete_traslado',
		'$cambio_peso','$tarifa_oficial','$cambio_puerto','$cargadura_ferrocarril','$recargo_cierre_buque')");
}else{
		mysqli_query($link,"update liberacion set `pedimento_no`='$pedimento',`vigencia_factura`='$vigencia_factura',`eir`='$eir',
		`cambio_buque`='$cambio_buque',`paquete_traslado`='$paquete_traslado',`cambio_peso`='$cambio_peso',
		`tarifa_oficial`='$tarifa_oficial',`cambio_puerto`='$cambio_puerto',`cargadura_ferrocarril`='$cargadura_ferrocarril',
		`recargo_cierre_buque`='$recargo_cierre_buque' where `referencia_veracruz`='$referencia' and 	
		`referencia_cliente`='$referencia_cliente'");
}

$action->alert('Cambios guardados para boleta de liberacion OK');
 
$action->add_js_code("unloadin('saving_liberacion');");

$action->send_response();

return;

?> 

